# Uses of Class
org.apache.cxf.ws.addressing.AddressingProperties

Packages that use AddressingProperties
Package
Description
org.apache.cxf.ws.addressing

- ## Uses of AddressingProperties in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing that return AddressingProperties
  Modifier and Type
  Method
  Description
  `AddressingProperties`
  AddressingProperties.`createCompatibleResponseProperties()`
  `static AddressingProperties`
  ContextUtils.`retrieveMAPs(Message message, boolean isProviderContext, boolean isOutbound)`
  `static AddressingProperties`
  ContextUtils.`retrieveMAPs(Message message, boolean isProviderContext, boolean isOutbound, boolean warnIfMissing)`
  Methods in org.apache.cxf.ws.addressing with parameters of type AddressingProperties
  Modifier and Type
  Method
  Description
  `static boolean`
  ContextUtils.`hasEmptyAction(AddressingProperties maps)`
  Helper method to determine if an MAPs Action is empty (a null action is considered empty, whereas a zero length action suppresses the propagation of the Action property).
  `static void`
  ContextUtils.`propogateReceivedMAPs(AddressingProperties inMAPs, Exchange exchange)`
  Propagate inbound MAPs onto full reponse & fault messages.
  `static void`
  ContextUtils.`propogateReceivedMAPs(AddressingProperties inMAPs, Message responseMessage)`
  Propogate inbound MAPs onto reponse message if applicable (not applicable for oneways).
  `static void`
  ContextUtils.`storeMAPs(AddressingProperties maps, Message message, boolean isOutbound)`
  Store MAPs in the message.
  `static void`
  ContextUtils.`storeMAPs(AddressingProperties maps, Message message, boolean isOutbound, boolean isRequestor)`
  Store MAPs in the message.
  `static void`
  ContextUtils.`storeMAPs(AddressingProperties maps, Message message, boolean isOutbound, boolean isRequestor, boolean isProviderContext)`
  Store MAPs in the message.